#ifndef C_OPTIONS_H
#define C_OPTIONS_H

#include "c_battle.h"
#include <windows.h>

#define DEFAULT_AI_LEVEL 1

enum { clrBg, clrGrid, clrHighlight, clrShip, clrMiss, clrHit, NUM_COLORS };

typedef struct {
	COLORREF color[NUM_COLORS];
	int ai_level;
} game_options_t;

void read_options(game_options_t *, HMENU);
void save_options(const game_options_t *, HMENU);

#endif /* !defined(C_OPTIONS_H) */
